Loading...
Searching...
No Matches
gx_engine::OutPutGate Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::OutPutGate:

## Public Member Functions

| OutPutGate (const NoiseGate *noisegate)

## Public Attributes

const NoiseGate * | noisegate
PluginDef | outputdef
Plugin | outputlevel
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | outputgate_process (int count, float *input, float *output)

## Static Private Member Functions

static void | outputgate_compute (int count, float *input, float *output, PluginDef *)

## Detailed Description

Definition at line 134 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## OutPutGate()

gx_engine::OutPutGate::OutPutGate | ( | const NoiseGate * | noisegate | ) |

## Member Function Documentation

## outputgate_compute()

void gx_engine::OutPutGate::outputgate_compute | ( | int | count,
|  | float * | input,
|  | float * | output,
|  | PluginDef * | )

static private

## outputgate_process()

void gx_engine::OutPutGate::outputgate_process | ( | int | count,
|  | float * | input,
|  | float * | output )

inline private

## Member Data Documentation

## noisegate

const NoiseGate* gx_engine::OutPutGate::noisegate

Definition at line 139 of file gx_internal_plugins.h.

Referenced by OutPutGate().

## outputdef

PluginDef gx_engine::OutPutGate::outputdef

Definition at line 140 of file gx_internal_plugins.h.

## outputlevel

Plugin gx_engine::OutPutGate::outputlevel

Definition at line 141 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h